# AnchorUI - Webpacker

Add [CoreUI](https://coreui.io/index.html) to Rails 5 projects and the asset pipeline.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'anchor_ui-webpacker'
```

And then execute:
```bash
$ bundle
```

Or install it yourself as:
```bash
$ gem install anchor_ui-webpacker
```

Then run the installation:
```bash
bin/rails g anchor_ui:webpacker:install
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run
`rake test` to run the tests. You can also run `bin/console` for an interactive
prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To
release a new version, update the version number in `version.rb`, and then run
`bundle exec rake release`, which will create a git tag for the version, push
git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

After upgrading the coreui node module, the generators template needs to be
compiled again.

There is a script to automate this task and the syntax is like this:
```bash
bin/update 2.1.1
```

## Test

To execute the test suite run `bin/test` to reference test script from the bin
folder of the project.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/anchor_ui.
This project is intended to be a safe, welcoming space for collaboration, and
contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the AnchorUI project’s codebases, issue trackers, chat
rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/anchor_ui/blob/master/CODE_OF_CONDUCT.md).
